export interface Next<T> {
    done?: boolean;
    error?: Error;
    value?: T;
}
export interface FIFOOptions {
    /**
     * When the queue reaches this size, it will be split into head/tail parts
     */
    splitLimit?: number;
    /**
     * If true, `size` will be the number of items in the queue. If false, all
     * values will be interpreted as Uint8Arrays and `size` will be the total
     * number of bytes in the queue.
     */
    objectMode?: boolean;
}
export declare class FIFO<T> {
    size: number;
    private readonly hwm;
    private head;
    private tail;
    private readonly objectMode;
    constructor(options?: FIFOOptions);
    push(val: Next<T>): void;
    shift(): Next<T> | undefined;
    isEmpty(): boolean;
}
//# sourceMappingURL=fifo.d.ts.map